/*
* COMPONENT_NAME: ldap.include
*
* ABSTRACT: lber
*
* ORIGINS: 202,27
*
* (C) COPYRIGHT International Business Machines Corp. 2000, 2002
* All Rights Reserved
* Licensed Materials - Property of IBM
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

/*
 * Copyright (c) 1990 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the
 * University may not be used to endorse or promote products
 * derived from this software without specific prior written
 * permission.  This software is provided ``as is'' without express
 * or implied warranty.
 *
 */

#ifndef _LBER_H
#define _LBER_H

typedef long ber_slen_t;
typedef unsigned long ber_len_t;
typedef unsigned long ber_tag_t;
typedef int ber_int_t;
typedef unsigned int ber_uint_t;

/* structure for returning a sequence of octet strings + length */
struct berval {
   ber_len_t bv_len;
   char *bv_val;
};

typedef struct berelement BerElement;
#define NULLBER ((BerElement *) 0)

/*
 * Note that LBER_ERROR and LBER_DEFAULT are values that can never appear
 * as valid BER tags, and so it is safe to use them to report errors.  In
 * fact, any tag for which the following is true is invalid:
 *     (( tag & 0x00000080 ) != 0 ) && (( tag & 0xFFFFFF00 ) != 0 )
 */
#define LBER_ERROR              ((ber_tag_t)-1)
#define LBER_DEFAULT            ((ber_tag_t)-1)

#endif /* _LBER_H */
